gi-cairo-1.0.24: Cairo bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Cairo.Structs.FontFace

Contents

- Exported types
- Methods
  - Overloaded methods

Description

No description available in the introspection data.

Synopsis

- newtype FontFace = FontFace (ManagedPtr FontFace)

# Exported types

newtype FontFace Source #

Memory-managed wrapper type.

Constructors

FontFace (ManagedPtr FontFace) |

#### Instances

Instances details

Eq FontFace Source # |
Instance details Defined in GI.Cairo.Structs.FontFace Methods (==) :: FontFace -> FontFace -> Bool # (/=) :: FontFace -> FontFace -> Bool #
IsGValue FontFace Source # | Convert `FontFace` to and from `GValue` with `toGValue` and `fromGValue`.
Instance details Defined in GI.Cairo.Structs.FontFace Methods toGValue :: FontFace -> IO GValue Source # fromGValue :: GValue -> IO FontFace Source #
ManagedPtrNewtype FontFace Source # |
Instance details Defined in GI.Cairo.Structs.FontFace Methods toManagedPtr :: FontFace -> ManagedPtr FontFace Source #
TypedObject FontFace Source # |
Instance details Defined in GI.Cairo.Structs.FontFace Methods glibType :: IO GType Source #
GBoxed FontFace Source # |
Instance details Defined in GI.Cairo.Structs.FontFace
HasParentTypes FontFace Source # |
Instance details Defined in GI.Cairo.Structs.FontFace
type ParentTypes FontFace Source # |
Instance details Defined in GI.Cairo.Structs.FontFace type ParentTypes FontFace = '[] :: [Type]

# Methods

## Overloaded methods